function [Sig_t]=SigmaIntOU(t,Th,Sig)
%Variance matrix of the integrated state process.
N=length(Th);

T1=kron(Th,eye(N));
T2=kron(eye(N),Th);

VecSig=reshape(Sig,N^2,1);
VecSig_t=(t*(inv(T1)+inv(T2))+ T1\(expm(-t*T1)-eye(N^2))/T1+T2\(expm(-t*T2)-eye(N^2))/T2+T1\(expm(-t*T1)+expm(-t*T2)-expm(-t*(T1+T2))-eye(N^2))/T2)/(T1+T2)*VecSig;
Sig_t=reshape(VecSig_t,N,N);
end